language: cn
model_unique_abbr: upload_test
version: 1.0.0
identification:
  docker_image_name: spark-geoflow:1.0
  model_name: 模型上传（更新）
  description: 本算法旨在使用介入机会模型预测未知流的流量。
  category_application: 诊断型
  category_data:
    - csv数据
  keywords:
    - 地理流

parameter_info:
  parameters:
    - arg_name: ' '
      is_positional_arg: true
      param_type: param
      visible: false
      name: 算法名称
      description: 算法的名称或者是一个特定的操作指令
      is_required: false
      data_type: str
      specification:
        default: flow-io
    - arg_name: input
      is_positional_arg: true
      param_type: input_data
      name: 输入区域数据文件
      description: 记录区域人口和总流出量的文件
      data_type: csv
      data_semantic: csv input data
    - arg_name: output
      is_positional_arg: true
      param_type: output_data
      name: 输出存储路径
      description: 算法的结果将会保存在这个输出数据文件的路径
      data_type: str
      data_semantic: csv output path
    - arg_name: inout_index
      is_positional_arg: true
      param_type: param
      name: 参数
      description: 区域文件列索引字符串
      is_required: false
      data_type: str
      data_semantic: parameters
    - arg_name: g
      is_positional_arg: true
      param_type: param
      name: 参数
      description: 模型系数
      is_required: false
      data_type: str
      data_semantic: parameters


application:
  domain: 地理流
  objective: 预测未知流的流量
  link_models:
    preorder: []

operation:
  usage: 使用方法描述
  exec_example:
    - docker run -u 0 $(pwd)/data:/geoflow/data crazy-zlj:spark_geoflow:1.0 flow-io /data/od_flows.csv /data/gravity_res  0,1,2,3 2
  output_display:
    - 输出显示描述

technique:
  language: [scala]
  os: [windows, linux]

source:
  maintainer: Xingchen Fan
  organization: "Institute of Geographic Sciences & Natural Resources Research, Chinese Academy of Sciences"
  contact: fanxc@lreis.ac.cn
  references:
    - 参考文献1